Bug 648758 - Review Request: supybot-notify - Notification plugin for Supybot
Summary: Review Request: supybot-notify - Notification plugin for Supybot
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ian Weller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-02 02:35 UTC by Ricky Zhou
Modified: 2014-11-12 23:13 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-05-09 01:51:33 UTC
ian: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ricky Zhou 2010-11-02 02:35:56 UTC
Spec URL: http://ricky.fedorapeople.org/pkgs/supybot-notify/supybot-notify.spec
SRPM URL: http://ricky.fedorapeople.org/pkgs/supybot-notify/supybot-notify-0.2-1.fc14.src.rpm
Description: A Supybot plugin which relays messages from a TCP server to
an IRC channel.

Comment 1 Ian Weller 2010-11-02 03:10:36 UTC
[  OK  ] specfiles match.
[  OK  ] source files match upstream.
[  OK  ] package meets naming and versioning guidelines.
[  OK  ] spec is properly named, cleanly written, and uses macros consistently.
[  OK  ] dist tag is present.
[  OK  ] build root is correct.
[  OK  ] license field matches the actual license.
[  OK  ] license is open source-compatible.
[FAILED] license text included in package.

This is fine for initial approval though. Since you're upstream, I would 
consider including a LICENSE file in your repository and then adding that. This
doesn't block approval.

[  OK  ] latest version is being packaged.
[  OK  ] BuildRequires are proper.
[  OK  ] compiler flags are appropriate.
[  OK  ] %clean is present. 
[  OK  ] package builds in mock.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=2570681
[  OK  ] package installs properly.
[  N/A ] debuginfo package looks complete.
[  OK  ] rpmlint is silent. 
[  OK  ] final provides and requires are sane
[  N/A ] %check is present and all tests pass:
[  N/A ] no shared libraries are added to the regular linker search paths.
[  OK  ] owns the directories it creates. 
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[  OK  ] file permissions are appropriate.
[  N/A ] scriptlets match those on ScriptletSnippets page.
[  OK  ] code, not content.
[  OK  ] documentation is small, so no -docs subpackage is necessary.
[  OK  ] %docs are not necessary for the proper functioning of the package.
[  N/A ] no headers.
[  N/A ] no pkgconfig files.
[  N/A ] no libtool .la droppings.
[  N/A ] desktop files valid and installed properly.

You still have a space problem in your macro at the top; there are two 
characters on line 2 that should be spaces but aren't due to copying and
pasting from the wiki. The package builds for F14 but failed on my F12 system
(not that it will matter in a while). This issue isn't blocking my approval
since it's a pretty simple fix that can go in git.

--------------------------------------------
 This package is APPROVED by me (ianweller)
--------------------------------------------

Comment 2 Ian Weller 2010-11-18 02:48:36 UTC
Ping?

Comment 3 Ricky Zhou 2011-01-08 02:29:53 UTC
Will fix whitespace issue and add COPYING file in 0.2.1, which will be the first version I'll import.

New Package SCM Request
=======================
Package Name: supybot-notify
Short Description: Notification plugin for Supybot
Owners: ricky
Branches: f14 el5 el6

Comment 4 Jason Tibbitts 2011-01-08 02:47:28 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-01-08 03:17:23 UTC
supybot-notify-0.2.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/supybot-notify-0.2.1-1.fc14

Comment 6 Fedora Update System 2011-01-08 21:26:36 UTC
supybot-notify-0.2.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update supybot-notify'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/supybot-notify-0.2.1-1.fc14

Comment 7 Fedora Update System 2011-05-09 01:51:27 UTC
supybot-notify-0.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 8 Kevin Fenzi 2014-11-12 22:21:51 UTC
Package Change Request
======================
Package Name: supybot--notify
New Branches: epel7
Owners: kevin
InitialCC:

Comment 9 Gwyn Ciesla 2014-11-12 23:13:22 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.